Subject: [dmarc-ietf] Apropos of the de-munging draft

From: "John R Levine" <[email-masked]>
Date: 28 Jul 2020 19:41:45 -0400

[ sent last week but got stuck due to a laptop upgrade which helpfully 
reset all my mail settings to the defaults ]

>I think that draft-kucherawy-dkim-transform-02 is getting at what I was originally thinking.
>In my opinion, MLMs will *always* need to munge, because they will never know if an arbitrary
>receiver will trust their non-munged mail.  Giving the receivers a way to un-munge (if they
>can and/or want and/or trust) would be a productive path forward out of this situation.

We already have a couple of ways to do reversible message munging, 
starting with MIME message wrapping. In principle it works fine, in 
practice it's awful because MUAs don't show wrapped messages consistently 
and often in ways that are painful, e.g., you can see the original author 
address but there's no button you can push to respond to it.

Unwrapping a MIME attachment is a lot easier than the proposed DKIM 
unmunging but I doubt either is going to show up in MUAs any time soon. 
Perhaps you could do it in a mail gateway.

R's,
John